Bug 602912 - [RFE] Add in tag support to tag machines with arbitrary tags
Summary: [RFE] Add in tag support to tag machines with arbitrary tags
Status: CLOSED WONTFIX
Alias: None
Product: Beaker
Classification: Community
Component: inventory   
(Show other bugs)
Version: 0.5
Hardware: All Linux
medium
medium vote
Target Milestone: ---
Assignee: Nick Coghlan
QA Contact:
URL:
Whiteboard: GroupModel
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-11 01:09 UTC by Graeme Gillies
Modified: 2013-04-15 08:19 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-15 08:10:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Graeme Gillies 2010-06-11 01:09:55 UTC
While beaker is awesome in how it gives you many ways to search the inventory based on specific requirements/groupings, sometimes you might want to mark a machine as part of some logical grouping that doesn't easily fit into the categories already available.

It would be great if you can tag machines with a particular tag, then be able to search all machines that have that tag. An example might be tagging a machine as "maybe_broken" that admins could search on to see what machines might be having issues, or tag a machine "used_by_ops, used_by_qe" to show machines that might be used by more than one group or used by abnormal people/purposes.

Likewise a machine may be in a group "gss" but you want to also tag it with the group "fujitsu" for all fujitsu machines etc.

Possibly needs to be thought through with regards to workflow as well to make sure we are not duplicating functionality already in beaker.

Comment 1 Nick Coghlan 2012-10-17 04:40:35 UTC
Bulk reassignment of issues as Bill has moved to another team.

Comment 2 Nick Coghlan 2013-04-15 08:10:19 UTC
Beaker 1.1 will likely include a System Pools feature that covers some aspects of this proposal (see http://beaker-project.org/dev/proposals/system-pools.html)

An arbitrary tagging capability beyond the System Pools proposal is not currently planned.


Note You need to log in before you can comment on or make changes to this bug.